/*
#ba0000 => #9e1f63 (Primary)
#fffaf5 => #fafafa (Background)
*/

*:focus {
    outline: 0 !important;
    box-shadow: none !important;
}

body {
    color: #000;
    background-color: #fafafa;
    font-family: 'Montserrat', sans-serif;
    font-weight: 400;
    font-size: .9rem; /* was 0.8rem */
    line-height: 1.8;
}

/* ---------------- */
/* ----- TEXT ----- */
/* ---------------- */

h1, .h1 {
    font-family: 'Montserrat', sans-serif;
    font-weight: 700;
    font-size: 2.2rem;
    display: block;
    margin-bottom: 1.5rem;
}

h2, .h2 {
    font-family: 'Montserrat', sans-serif;
    font-weight: 600;
    font-size: 1.6rem;
    display: block;
    margin-bottom: 1.5rem;
}

h3, .h3 {
    font-family: 'Montserrat', sans-serif;
    font-weight: 500;
    font-size: 1rem;
    display: block;
    margin-bottom: 0;

    color: #9e1f63;
}

.call_form h3 {
    margin-top: 20px;
}

h4, .h4 {
    font-family: 'Montserrat', sans-serif;
    font-weight: 500;
    font-size: .7rem;
    display: block;
    margin-bottom: 1.5rem;
}

.title {
    text-transform: uppercase;
    font-size: .9rem;
    font-weight: 700;
    display: block;
}

p {
    margin-bottom: 1.5rem;
}

.lead {
    font-weight: 200;
}

ul, ol {
    margin-bottom: 1.5rem;
}

a {
    text-decoration: none;
    color: #9e1f63;
}

a:hover {
    text-decoration: none;
    color: #3d3d3d;
}

.btn-link {
    color: #333;
}

.btn-link:hover {
    color: #000;
    text-decoration: none;
}

img {
    max-width: 100%;
}

.note-editable {
    min-height: 250px;
}

.note-editable p {
    margin-bottom: 0;
}

/* ------------------ */
/* ----- COLORS ----- */
/* ------------------ */

.text-primary { color: #9e1f63 !important; }
.bg-primary { background-color: #9e1f63 !important; }

.text-success { color: #42b485 !important; }
.bg-success { background-color: #42b485 !important; }

/* ------------------ */
/* ----- ALERTS ----- */
/* ------------------ */

.alert {
    padding: .65rem 1rem .55rem 4rem;
    font-family: 'Montserrat', sans-serif;
    font-weight: 600;
    font-size: .9rem;
    color: white;
    position: relative;
}

.alert a {
    color: #efefef;
    text-decoration: underline;
}

.alert a:hover {
    text-decoration: none;
}

.alert .fa {
    font-size: 30px;
    line-height: 0px;
    position: absolute;
    top: 50%;
    left: 15px;
    width: 35px;
    text-align: center;
    /*margin-top: 50%;*/
}

.alert-success { background-color: #42b485 !important; border-color: #42b485 !important; }
.alert-warning { background-color: #ffc107 !important; border-color: #ffc107 !important; }
.alert-danger { background-color: #dc3545 !important; border-color: #dc3545 !important; }

/* ------------------- */
/* ----- BUTTONS ----- */
/* ------------------- */

.btn {
    padding: .65rem 1rem;
    font-family: 'Montserrat', sans-serif;
    font-weight: 600;
    font-size: .9rem;
}

.btn-sm {
    padding: .25rem .5rem;
    font-size: .875rem;
    line-height: 1.5;
    border-radius: .2rem;
}

.btn-with-icon {
    position: relative;
    padding-right: 3rem;
}

.btn-with-icon i {
    position: absolute;
    top: 50%;
    right: 1rem;
    -webkit-transform: translate(0,-50%);
    transform: translate(0,-50%);
}

.btn-icon {
    position: relative;
    width: 20px;
    height: 20px;
    padding: 0;
    border: 0 none;
    border-radius: 0;
}

.btn-icon.bigger {
    width: 30px;
    height: 30px;
}

.btn-icon i {
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%,-50%);
    transform: translate(-50%,-50%);
    font-size: .6rem;
}

.btn-icon.bigger i {
    font-size: .9rem;
}

.btn-primary {
    background-color: #6c757d;
    border-color: #6c757d;
    color: #fff !important;
}

.btn.disabled {
    background: #ccc;
}

.btn-primary:hover,
.btn-primary.focus,
.btn-primary:focus,
.btn-primary:active,
.btn-primary:not(:disabled):not(.disabled).active,
.btn-primary:not(:disabled):not(.disabled):active,
.show>.btn-primary.dropdown-toggle {
    background-color: #3d3d3d;
    border-color: #3d3d3d;
    color: #fff;
}

.btn-primary.disabled, .btn-primary:disabled {
    background-color: #6c757d;
    border-color: #6c757d;
}

.btn-success {
    background-color: #42b485;
    border-color: #42b485;
    color: #fff;
}

.btn-success:hover,
.btn-success.focus,
.btn-success:focus,
.btn-success:active,
.btn-success:not(:disabled):not(.disabled).active,
.btn-success:not(:disabled):not(.disabled):active,
.show>.btn-success.dropdown-toggle {
    background-color: #36976f;
    border-color: #36976f;
    color: #fff;
}

.btn.btn-default-padding {
    padding: .375rem .75rem;
}

.search_google {
    width: 100%;
}

.phone-field .easy-autocomplete {
    width: 80%;
}

.phone-field .input-group-append {
    width: 20%;
}

.company-field .easy-autocomplete {
    width: 80%;
}

.company-field .input-group-append {
    width: 20%;
}

.call_form #phone {
    width: 100%;
}

.btn_higher {
    padding-top: 0.95rem;
    padding-bottom: 0.95rem;
}

/* -------------------- */
/* ------ BADGES ------ */
/* -------------------- */

.badge {
    font-size: 100%;
}

.badge-primary {
    background-color: #6c757d;
    border-color: #6c757d;
    color: #fff !important;
}

/* ------------------- */
/* ----- CLASSES ----- */
/* ------------------- */

.box-shadow {
    -webkit-box-shadow: 0px 5px 10px 0px rgba(0,0,0,0.05);
    -moz-box-shadow: 0px 5px 10px 0px rgba(0,0,0,0.05);
    box-shadow: 0px 5px 10px 0px rgba(0,0,0,0.05);
}

/* ------------------- */
/* ----- SIDEBAR ----- */
/* ------------------- */

.sidebar {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    z-index: 100;
    padding: 50px 0 0;
    box-shadow: inset -1px 0 0 rgba(0, 0, 0, .1);
}

.sidebar-sticky {
    position: relative;
    top: 0;
    height: calc(100vh - 50px);
    padding-top: .5rem;
    overflow-x: hidden;
    overflow-y: auto;
}

@supports ((position: -webkit-sticky) or (position: sticky)) {

    .sidebar-sticky {
        position: -webkit-sticky;
        position: sticky;
    }

}

.sidebar .nav-link {
    font-weight: 500;
    color: #333;
}

.sidebar .nav-link .feather {
    margin-right: 4px;
    color: #999;
}

.sidebar .nav-link.active {
    color: #007bff;
}

.sidebar .nav-link:hover .feather,
.sidebar .nav-link.active .feather {
    color: inherit;
}

.sidebar-heading {
    font-size: .75rem;
    text-transform: uppercase;
}

/* ------------------- */
/* ----- CONTENT ----- */
/* ------------------- */

[role="main"] {
    padding-top: 133px;
}

@media (min-width: 768px) {

    [role="main"] {
        padding-top: 50px;
    }

}

/* ---------------- */
/* ----- MENU ----- */
/* ---------------- */

nav#nav-top .navbar-brand .logo {
    height: 40px;
    width: auto;
    padding: .25rem 0;
}

nav#nav-dashboard {
    background-color: #3d3d3d;
    color: #fff;
}

nav#nav-dashboard .nav-item .nav-link {
    color: #fafafa;
}

nav#nav-dashboard .nav-item .nav-link i {
    color: #fff;
}

.navbar-dark .navbar-brand {
    width: auto;
}

.navbar-dark .navbar-nav .nav-link {
    color: #fff;
}

@media (max-width: 767.98px) {
    .navbar-expand .navbar-toggler {
        display: block !important;
    }

    [role="main"] {
        padding-top: 50px;
    }
}

/* ------------------ */
/* ----- TABLES ----- */
/* ------------------ */

.table thead {
    background-color: #fff;
}

.table thead th {
    padding: 1rem;
}

.table-sm td,
.table-sm th {
    padding: .5rem 1rem;
}

.table-striped tbody tr:nth-of-type(2n+1) {
    background-color: rgba(238,114,3, .05);
}

.availability-table td {
    color: white;
    position: relative;
}

.availability-table th {
    /*text-align: center;*/
}

.availability-table .available,
.availability-table .unavailable,
.availability-table .reservation {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    text-align: center;
    padding-top: 10px;
}

.availability-table .available {
    color: white;
    width: 50%;
}

.availability-table .newUnavailable {
    right: 0;
    left: 50%;
}

.availability-table tr:hover .available {
    color: #ccc;
}

.availability-table tr:hover .available:hover {
    background: #9e1f63;
    color: white;
}

.availability-table tr:hover .newUnavailable:hover {
    background: #ccc;
    color: black;
}

.availability-table .unavailable {
    background: #ccc !important;
    color: black;
}

.availability-table .reservation {
    background: #9e1f63 !important;
    color: white;
}

.availability-table .firstRow {
    border-top: 1px solid white;
}

/* ----------------- */
/* ----- FORMS ----- */
/* ----------------- */

.custom-select, .select-2 {
    height: calc(1.5em + 1.15rem + 2px);
    padding: .5rem 1.75rem .5rem .75rem;
    font-size: .9rem;
    border-radius: 4px !important;
}

.form-control {
    padding: 1.17rem 1rem !important;
    font-size: .9rem;
}

.input-group-text {
    font-size: 0.9rem;
}

.has-error input {
    border-color: #dc3545 !important;
}

.has-error .help-block {
    color: #dc3545 !important;
}

.custom-checkbox .custom-control-label {
    cursor: pointer;
}

.custom-checkbox .custom-control-label:before,
.custom-checkbox .custom-control-label:after {
    background-color: #fff;
    border: 1px solid #ced4da;
    box-shadow: none;
}

.custom-checkbox .custom-control-input:checked ~ .custom-control-label:after {
    background-image: url("data:image/svg+xml;base64,PD94bWwgdmVyc2lvbj0iMS4wIiBlbmNvZGluZz0idXRmLTgiPz4NCjwhLS0gR2VuZXJhdG9yOiBBZG9iZSBJbGx1c3RyYXRvciAyMS4wLjAsIFNWRyBFeHBvcnQgUGx1Zy1JbiAuIFNWRyBWZXJzaW9uOiA2LjAwIEJ1aWxkIDApICAtLT4NCjxzdmcgdmVyc2lvbj0iMS4xIiBpZD0iTGFhZ18xIiBmb2N1c2FibGU9ImZhbHNlIiB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHhtbG5zOnhsaW5rPSJodHRwOi8vd3d3LnczLm9yZy8xOTk5L3hsaW5rIg0KCSB4PSIwcHgiIHk9IjBweCIgdmlld0JveD0iMCAwIDUxMiA1MTIiIHN0eWxlPSJlbmFibGUtYmFja2dyb3VuZDpuZXcgMCAwIDUxMiA1MTI7IiB4bWw6c3BhY2U9InByZXNlcnZlIj4NCjxzdHlsZSB0eXBlPSJ0ZXh0L2NzcyI+DQoJLnN0MHtmaWxsOiNFRTcyMDM7fQ0KPC9zdHlsZT4NCjxwYXRoIGNsYXNzPSJzdDAiIGQ9Ik0xNzMuOSw0MzkuNEw3LjUsMjczYy0xMC0xMC0xMC0yNi4yLDAtMzYuMmwzNi4yLTM2LjJjMTAtMTAsMjYuMi0xMCwzNi4yLDBMMTkyLDMxMi43TDQzMi4xLDcyLjYNCgljMTAtMTAsMjYuMi0xMCwzNi4yLDBsMzYuMiwzNi4yYzEwLDEwLDEwLDI2LjIsMCwzNi4yTDIxMC4xLDQzOS40QzIwMC4xLDQ0OS40LDE4My45LDQ0OS40LDE3My45LDQzOS40TDE3My45LDQzOS40eiIvPg0KPC9zdmc+DQo=");
}

.custom-control-input:checked ~ .custom-control-label::before {
    color: #9e1f63;
}

.custom-file {
    height: calc(1.5em + 1.15rem + 2px);
}

.custom-file-input,
.custom-file-label {
    height: calc(1.5em + 1.15rem + 2px);
    padding: .5rem 1.75rem .5rem .75rem;
}

.custom-file-label::after {
    height: 100%;
    padding: .5rem .75rem .5rem .75rem;
}

#pictures-list,
#floorplans-list{
    margin: 10px 0;
}

#pictures-list .pic,
#floorplans-list .pic{
    padding: 10px;
    height: 150px;
    margin-bottom: 10px;
    overflow: hidden;
    position: relative;
}

#pictures-list .pic a,
#floorplans-list .pic a{
    position: absolute;
    top: 0;
    right: 0;
}

#pictures-list .pic span,
#floorplans-list .pic span{
    display: block;
    position: absolute;
    top: 10px;
    left: 10px;
    right: 10px;
    background: #000;
    padding: 0 10px;
    height: 30px;
    line-height: 30px;
    text-align: left;
    color: #fff;
    font-size: 16px;
}

.block-img {
    position: relative;
    margin-top: 25px;
}

.block-img .delBtn {
    position: absolute;
    color: white;
    top: -10px;
    right: -10px;
    z-index: 9999;
}

.call_form p {
    margin-bottom: 0;
}

.invalid-feedback {
    display: inline !important;
    font-size: 100%;
}

/* ---------------------- */
/* ----- DATATABLES ----- */
/* ---------------------- */

/* ----- PAGINATION ----- */
.dataTables_info {
    color: #b7b7b7;
    font-style: italic;
    font-size: .7rem;
}

.dataTables_paginate {
    display: flex;
    margin-top: .25rem;
    padding-top: 1.5rem;
    border-top: 1px solid #dee2e6;
}

.dataTables_paginate .paginate_button {
    color: #b7b7b7;
    -webkit-transition: color .3s ease;
    transition: color .3s ease;
    cursor: pointer;
}

.dataTables_paginate span .paginate_button {
    margin: 0 .5rem;
}

.dataTables_paginate .paginate_button.previous {
    margin-right: auto;
}

.dataTables_paginate .paginate_button.next {
    margin-left: auto;
}

.dataTables_paginate .paginate_button.disabled,
.dataTables_paginate .paginate_button.disabled:hover {
    color: #b7b7b7;
    cursor: not-allowed;
}

.dataTables_paginate .paginate_button:hover {
    color: #9e1f63;
}

.dataTables_paginate .paginate_button.current {
    color: #9e1f63;
    font-weight: 600;
}

.dataTables_wrapper .dataTables_length {
    float: left;
}

.dataTables_wrapper .dataTables_filter {
    float: right;
    text-align: right;
}

table.dataTable thead .sorting, table.dataTable thead .sorting_asc, table.dataTable thead .sorting_desc, table.dataTable thead .sorting_asc_disabled, table.dataTable thead .sorting_desc_disabled {
    cursor: pointer;
    *cursor: hand;
    background-repeat: no-repeat;
    background-position: center right;
}

table.dataTable thead .sorting {
    background-image: url("https://cdn.datatables.net/1.10.20/images/sort_both.png");
}

table.dataTable thead .sorting, table.dataTable thead .sorting_asc, table.dataTable thead .sorting_desc, table.dataTable thead .sorting_asc_disabled, table.dataTable thead .sorting_desc_disabled {
    cursor: pointer;
    *cursor: hand;
    background-repeat: no-repeat;
    background-position: center right;
}

table.dataTable thead .sorting_asc {
    background-image: url("https://cdn.datatables.net/1.10.20/images/sort_asc.png");
}

table.dataTable thead .sorting, table.dataTable thead .sorting_asc, table.dataTable thead .sorting_desc, table.dataTable thead .sorting_asc_disabled, table.dataTable thead .sorting_desc_disabled {
    cursor: pointer;
    *cursor: hand;
    background-repeat: no-repeat;
    background-position: center right;
}

table.dataTable thead .sorting_desc {
    background-image: url("https://cdn.datatables.net/1.10.20/images/sort_desc.png");
}

#table-sortable_length label,
#table-sortable-2_length label,
#table-sortable-3_length label,
#table-sortable-4_length label,
#table-sortable-5_length label,
#table-serverside_length label,
#table-serverside-2_length label {
    display: flex;
    align-items: center;
}

#table-sortable_length select,
#table-sortable-2_length select,
#table-sortable-3_length select,
#table-sortable-4_length select,
#table-sortable-5_length select,
#table-serverside_length select,
#table-serverside-2_length select {
    margin: 0 .5rem;
    display: inline-block;
    width: 100%;
    height: calc(1.5em + .75rem + 2px);
    padding: .375rem 1.75rem .375rem .75rem;
    font-size: .9rem;
    font-weight: 400;
    line-height: 1.5;
    color: #495057;
    vertical-align: middle;
    background: #fff url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='4' height='5' viewBox='0 0 4 5'%3e%3cpath fill='%23343a40' d='M2 0L0 2h4zm0 5L0 3h4z'/%3e%3c/svg%3e") no-repeat right .75rem center/8px 10px;
    border: 1px solid #ced4da;
    border-top-color: rgb(206, 212, 218);
    border-right-color: rgb(206, 212, 218);
    border-bottom-color: rgb(206, 212, 218);
    border-left-color: rgb(206, 212, 218);
    border-radius: .25rem;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

#table-sortable_filter label,
#table-sortable-2_filter label,
#table-sortable-3_filter label,
#table-sortable-4_filter label,
#table-sortable-5_filter label,
#table-serverside_filter label,
#table-serverside-2_filter label {
    display: flex;
    align-items: center;
}

#table-sortable_filter input,
#table-sortable-2_filter input,
#table-sortable-3_filter input,
#table-sortable-4_filter input,
#table-sortable-5_filter input,
#table-serverside_filter input,
#table-serverside-2_filter input {
    display: inline-block;
    width: 100%;
    height: calc(1.5em + .75rem + 2px);
    padding: 1.17rem 1rem;
    margin-left: .75rem;
    font-size: .9rem;
    font-weight: 400;
    line-height: 1.5;
    color: #495057;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: .25rem;
    transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}

.table-responsive.no-scroll {
    overflow-x: hidden;
}

.login-code {
    font-size: 120%;
    letter-spacing: 2px;
    color: #9e1f63;
    line-height: 20px;
}

/* ---------------------- */
/* ----- DATEPICKER ----- */
/* ---------------------- */

input.datepicker {
    font-size: .9rem;
}

.datepicker-dropdown {
    font-family: 'Montserrat', sans-serif;
    font-size: .9rem;
    z-index: 9999 !important;
}

.datepicker table tr td.active.active,
.datepicker table tr td.active.highlighted.active,
.datepicker table tr td.active.highlighted:active,
.datepicker table tr td.active:active,
.datepicker table tr td span.active.active,
.datepicker table tr td span.active.disabled.active,
.datepicker table tr td span.active.disabled:active,
.datepicker table tr td span.active.disabled:hover.active,
.datepicker table tr td span.active.disabled:hover:active,
.datepicker table tr td span.active:active,
.datepicker table tr td span.active:hover.active,
.datepicker table tr td span.active:hover:active {
    background-color: #42b485;
    color: #fff;
}

.datepicker table tr td.active.active.focus,
.datepicker table tr td.active.active:focus,
.datepicker table tr td.active.active:hover,
.datepicker table tr td.active.highlighted.active.focus,
.datepicker table tr td.active.highlighted.active:focus,
.datepicker table tr td.active.highlighted.active:hover,
.datepicker table tr td.active.highlighted:active.focus,
.datepicker table tr td.active.highlighted:active:focus,
.datepicker table tr td.active.highlighted:active:hover,
.datepicker table tr td.active:active.focus,
.datepicker table tr td.active:active:focus,
.datepicker table tr td.active:active:hover,
.datepicker table tr td span.active.active.focus,
.datepicker table tr td span.active.active:focus,
.datepicker table tr td span.active.active:hover,
.datepicker table tr td span.active.disabled.active.focus,
.datepicker table tr td span.active.disabled.active:focus,
.datepicker table tr td span.active.disabled.active:hover,
.datepicker table tr td span.active.disabled:active.focus,
.datepicker table tr td span.active.disabled:active:focus,
.datepicker table tr td span.active.disabled:active:hover,
.datepicker table tr td span.active.disabled:hover.active.focus,
.datepicker table tr td span.active.disabled:hover.active:focus,
.datepicker table tr td span.active.disabled:hover.active:hover,
.datepicker table tr td span.active.disabled:hover:active.focus,
.datepicker table tr td span.active.disabled:hover:active:focus,
.datepicker table tr td span.active.disabled:hover:active:hover,
.datepicker table tr td span.active:active.focus,
.datepicker table tr td span.active:active:focus,
.datepicker table tr td span.active:active:hover,
.datepicker table tr td span.active:hover.active.focus,
.datepicker table tr td span.active:hover.active:focus,
.datepicker table tr td span.active:hover.active:hover,
.datepicker table tr td span.active:hover:active.focus,
.datepicker table tr td span.active:hover:active:focus,
.datepicker table tr td span.active:hover:active:hover {
    background-color: #36976f;
    color: #fff;
}

.easy-autocomplete-container {
    z-index: 9999;
}
